- parent_group = local_assigns[:parent_group]
- namespace_for_user = namespace_for_user?(namespace)
- if namespace_for_user
  = render_if_exists 'trials/banner', namespace: namespace

.billing-plan-header.content-block.center
  .billing-plan-logo
    - if namespace_for_user
      .avatar-container.s96.home-panel-avatar.gl-mr-3.float-none.mx-auto.mb-4.mt-1
        = user_avatar_without_link(user: current_user, class: 'mb-3', size: 96)
    - elsif @group.avatar_url.present?
      = group_icon(@group, class: 'border rounded mb-3 mt-1', width: 96, height: 96, alt: @group.name)
    - else
      .avatar-container.rect-avatar.s96.home-panel-avatar.gl-mr-3.float-none.mx-auto.mb-4.mt-1.rounded.border
        = group_icon(@group, class: 'avatar avatar-tile s96', width: 96, height: 96, alt: @group.name)

  %h4
    - if namespace_for_user
      = s_("BillingPlans|@%{user_name} you are currently using the %{plan_name} plan.").html_safe % { user_name: current_user.username, plan_name: plan.code.titleize }
    - else
      = s_("BillingPlans|%{group_name} is currently using the %{plan_name} plan.").html_safe % { group_name: namespace.full_name, plan_name: plan.code.titleize }

  - if parent_group
    %p= s_("BillingPlans|This group uses the plan associated with its parent group.")
    - parent_billing_page_link = link_to parent_group.full_name, group_billings_path(parent_group)
    %p= s_("BillingPlans|To manage the plan for this group, visit the billing section of %{parent_billing_page_link}.").html_safe % { parent_billing_page_link: parent_billing_page_link }
    = link_to s_("BillingPlans|Manage plan"), group_billings_path(parent_group), class: 'btn btn-success gl-button'
  - else
    = render 'shared/billings/trial_status', namespace: namespace

  - if namespace.eligible_for_trial?
    - glm_content = namespace_for_user ? 'user-billing' : 'group-billing'
    %p= link_to 'Start your free trial', new_trial_registration_path(glm_source: 'gitlab.com', glm_content: glm_content), class: 'btn btn-primary gl-button'
